Sitemap
List theme region rules
Retrieve a list of theme region rules for the current company
GET
/
api
/
theme_region_rules
List theme region rules
curl --request GET \
--url https://api.fluid.app/api/theme_region_rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/theme_region_rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/theme_region_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"theme_region_rules": [
{
"id": 48213,
"company_id": 1405,
"application_theme_id": 7312,
"application_theme_template_id": 22904,
"route_path": "products/20lb-copy-paper",
"region_code": "CA",
"priority": 10,
"active": true,
"redirect_type": "template",
"redirect_url": null,
"description": "Canadian copy paper page with metric sheet sizes",
"resource_type": "Product",
"resource_id": 60318,
"route_kind": "credit_prefixed",
"created_at": "2026-09-08T13:15:22Z",
"updated_at": "2026-09-08T13:15:22Z"
},
{
"id": 48377,
"company_id": 1405,
"application_theme_id": 7312,
"application_theme_template_id": 22917,
"route_path": "about-us",
"region_code": "default",
"priority": 0,
"active": true,
"redirect_type": "template",
"redirect_url": null,
"description": "Dunder Mifflin company story page",
"resource_type": null,
"resource_id": null,
"route_kind": "non_credit",
"created_at": "2026-09-10T10:02:47Z",
"updated_at": "2026-09-10T10:02:47Z"
}
],
"meta": {
"request_id": "5f0c9a2e-7b41-4d8e-9c36-1a2b8e4f7d90",
"timestamp": "2026-09-14T15:42:08Z",
"current_page": 1,
"total_pages": 1,
"total_count": 2
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Query Parameters
Filter by company ID
Filter by application theme template ID
Filter by route path
Filter by region code
Filter by active status
Page number for pagination
Number of items per page
⌘I
List theme region rules
